'\"
'\" Copyright (c) 1998 by Scriptics Corporation.
'\" 
'\" See the file "license.terms" for information on usage and redistribution
'\" of this file, and for a DISCLAIMER OF ALL WARRANTIES.
'\" 
'\" RCS: @(#) $Id: encoding.ru.n,v 1.1.1.1 2003/10/16 19:01:11 alex Exp $
'\" 
.so man.macros
.TH encoding n "8.1" Tcl "Tcl  "
.BS
.SH NAME
encoding \-   
.SH SYNOPSIS
\fBencoding \fI\fR ?\fI  ...\fR?
.BE

.SH INTRODUCTION
.PP
  Tcl    16-   
 Unicode.     
      , 
Shift-JIS.  \fBencoding\fR    
Unicode   .

.SH DESCRIPTION
.PP
        
\fI\fR.   \fI\fR:
.TP
\fBencoding convertfrom ?\fI\fR? \fI\fR
 \fI\fT  Unicode   \fI\fR.
   \fI\fR    , 
        . 
      
\fI\fR.  \fI\fR  ,  
  .
.TP
\fBencoding convertto ?\f\fR? \fI\fR
 \fI\fR  Unicode   \fI\fR.
   ,  
 .       
 Unicode.  \fI\fR  ,   
 .
.TP
\fBencoding names\fR
 ,    ,    .
.TP
\fBencoding system\fR ?\fI\fR?
     \fI\fR.
 \fI\fR  ,    
 .     ,
 Tcl    .

.SH EXAMPLE
.PP
      
 ,      euc-jp, 
  ASCII     ,  
    . This makes it easy to embed literal strings
that correspond to non-ASCII characters by simply typing the strings
in place in the script. ,    \fBsource\fR 
    ISO8859-1,  Tcl  
        00 
Unicode.       
.      
   Latin-1,   
.  \fBencoding\fR     
     Unicode. ,
.CS
	set s [encoding convertfrom euc-jp "\\xA4\\xCF"]
.CE
Σ  Unicode "\\u306F",    HA ( 
)   .

.SH "SEE ALSO"
Tcl_GetEncoding(3)

.SH KEYWORDS
, encoding
